<?php

namespace App\Policies;

use App\Models\OfferPopUp;
use App\Models\User;
use Illuminate\Auth\Access\Response;

class OfferPopUpPolicy
{
    public function viewAny(User $user): bool
    {
        if ($user->hasAnyPermission(['create offerpopup', 'edit offerpopup', 'view offerpopup', 'delete offerpopup'])) {
            return true;
        }
        return false;
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, OfferPopUp $offerPopUp): bool
    {
        if ($user->hasPermissionTo('view offerpopup')) {
            return true;
        }
        return false;
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        if ($user->hasPermissionTo('create offerpopup')) {
            return true;
        }
        return false;
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, OfferPopUp $offerPopUp): bool
    {
        if ($user->hasPermissionTo('edit offerpopup')) {
            return true;
        }
        return false;
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, OfferPopUp $offerPopUp): bool
    {
        if ($user->hasPermissionTo('delete offerpopup')) {
            return true;
        }
        return false;
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, OfferPopUp $offerPopUp): bool
    {
        if ($user->hasPermissionTo('restore offerpopup')) {
            return true;
        }
        return false;
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, OfferPopUp $offerPopUp): bool
    {
        if ($user->hasPermissionTo('force delete offerpopup')) {
            return true;
        }
        return false;
    }
}
